Find existing shop sign-ins to give customer access
GET
/customers/{id}/shopper-accounts/search
const url = 'https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/shopper-accounts/search?q=example';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/shopper-accounts/search?q=example' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Searches name and email only inside this tenant’s shop, excluding sign-ins already linked to the customer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Query Parameters
Section titled “Query Parameters”q
required
string
Responses
Section titled “Responses”Matching shop sign-ins
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
name
required
string
email
required
string
verified
required
boolean
lastSignInAt
required
string | null format: date-time
twoFactor
required
boolean
customerCount
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such request, customer or sign-in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}